package org.jeecg.modules.warning.model;

import org.jeecg.modules.warning.entity.AConfigure;

import java.io.Serializable;

public class chartConfigureModel implements Serializable {
    private static final long serialVersionUID = 1L;

    public chartConfigureModel(AConfigure configure){
        this.id=configure.getId();
        this.key=configure.getTemplateId()+"-"+configure.getTrackId()+"-"+configure.getId();
        this.title=configure.getTitle();
        this.background=configure.getBackground();
        this.minNum=configure.getMinNum();
        this.maxNum=configure.getMaxNum();
        this.unit=configure.getUnit();
        this.color=configure.getColor();
        this.lineStyle=configure.getLineStyle();
        this.spread=configure.getSpread();
        this.minSpread=configure.getMinSpread();
        this.maxSpread=configure.getMaxSpread();
        this.dataSource=configure.getDataSource();
        this.formType="line";
    }
    public chartConfigureModel(){

    }

    private String id;
    private String key;
    private String title;
    private String background;
    private String minNum;
    private String maxNum;
    private String unit;
    private String color;
    private String lineStyle;
    private String spread;
    private String minSpread;
    private String maxSpread;
    private String dataSource;
    private String formType;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }


    public String getBackground() {
        return background;
    }

    public void setBackground(String background) {
        this.background = background;
    }


    public String getMinNum() {
        return minNum;
    }

    public void setMinNum(String minNum) {
        this.minNum = minNum;
    }

    public String getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(String maxNum) {
        this.maxNum = maxNum;
    }


    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }


    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }


    public String getLineStyle() {
        return lineStyle;
    }

    public void setLineStyle(String lineStyle) {
        this.lineStyle = lineStyle;
    }


    public String getSpread() {
        return spread;
    }

    public void setSpread(String spread) {
        this.spread = spread;
    }


    public String getMinSpread() {
        return minSpread;
    }

    public void setMinSpread(String minSpread) {
        this.minSpread = minSpread;
    }


    public String getMaxSpread() {
        return maxSpread;
    }

    public void setMaxSpread(String maxSpread) {
        this.maxSpread = maxSpread;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }
}
